Bug 675119 - scrolling terminal scrambles the text displayed on window
Summary: scrolling terminal scrambles the text displayed on window
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 19
Hardware: i686
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 11:27 UTC by cornel panceac
Modified: 2014-11-20 06:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 18:47:37 UTC


Attachments (Terms of Use)
screenshot from a terminal (80.37 KB, image/png)
2011-02-04 11:27 UTC, cornel panceac
no flags Details
xorg log (53.72 KB, text/plain)
2011-02-04 11:43 UTC, cornel panceac
no flags Details
dmesg (46.92 KB, text/plain)
2011-02-04 11:44 UTC, cornel panceac
no flags Details
screen mess in firefox (48.32 KB, image/png)
2011-02-08 08:59 UTC, cornel panceac
no flags Details

Description cornel panceac 2011-02-04 11:27:30 UTC
Created attachment 476978 [details]
screenshot from a terminal

Description of problem:
if i scroll up and down (or if i just enter some command) in terminal, the text gets scrambled for a while.

Version-Release number of selected component (if applicable):
# rpm -q xorg-x11-drv-intel
xorg-x11-drv-intel-2.14.0-1.fc15.i686

# rpm -q gnome-terminal
gnome-terminal-2.33.4-2.fc15.i686

# uname -r
2.6.38-0.rc3.git0.1.fc15.i686

# lspci -nn | grep -i vga
00:02.0 VGA compatible controller [0300]: Intel Corporation 82G33/G31 Express Integrated Graphics Controller [8086:29c2] (rev 10)

How reproducible:
sometimes (often)

Steps to Reproduce:
1.open gnome-terminal
2.enter commands
3.
  
Actual results:
screen gets scrambled

Expected results:


Additional info:

maybe it happens more often if the screen is maximized.

Comment 1 cornel panceac 2011-02-04 11:43:49 UTC
Created attachment 476979 [details]
xorg log

Comment 2 cornel panceac 2011-02-04 11:44:41 UTC
Created attachment 476980 [details]
dmesg

Comment 3 cornel panceac 2011-02-04 11:46:10 UTC
i only see it in gnome-shell. (never tried in fallback.)

Comment 4 cornel panceac 2011-02-04 13:37:14 UTC
ok, it's confirmed, i've seen it in firefox too.

Comment 5 cornel panceac 2011-02-08 08:59:00 UTC
Created attachment 477577 [details]
screen mess in firefox

Comment 6 Fedora End Of Life 2013-04-03 13:32:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 7 Adam Jackson 2014-11-18 18:47:37 UTC
I'm going to assume this is fixed by now, that driver version was ages ago.  If it's not please reopen with updated version information.

Comment 8 cornel panceac 2014-11-20 06:37:50 UTC
haven't seen this for a long time but also i've switched to fedora 20 as soon as it was available.


Note You need to log in before you can comment on or make changes to this bug.